/{organizationId}/finance/accounting/accounts/bookableUpdate account bookable state
Updates the bookable state for multiple accounts in the accounting plan
Required permissions:
accountingPlan.edit
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
bookablebooleanrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/accounting/accounts/bookable' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"accountNumbers": [
1
],
"bookable": true
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
accountNumberintegerrequired minimum: 1
maximum: 999999999
errorstringrequired Response
[
{
"accountNumber": 1,
"error": "string"
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}